Package: grails.util

## [Java] Class BuildSettingsHolder

- grails.util.BuildSettingsHolder

- Static singleton holder for the BuildSettings instance. Should only be initialised once (in GrailsScriptRunner.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static BuildSettings` | `getSettings()`
    `static void` | `setSettings(BuildSettings newSettings)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public static BuildSettings getSettings()

    - #### public static void setSettings(BuildSettings newSettings)